Bug 803770 - Please update PolarSSL to 1.1.1
Please update PolarSSL to 1.1.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polarssl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 11:46 EDT by David Sommerseth
Modified: 2016-05-22 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: polarssl-1.1.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sommerseth 2012-03-15 11:46:43 EDT
Currently a very old PolarSSL is shipped in Fedora, which has an API which is not compliant with the stable releases.  Please update PolarSSL to 1.1.1.
Comment 1 Mads Kiilerich 2012-03-15 19:47:43 EDT
Please give http://koji.fedoraproject.org/koji/taskinfo?taskID=3899152 a try before I push it as an update.
Comment 2 David Sommerseth 2012-03-16 06:48:38 EDT
I've tested some of the utilities provided in polarssl-utils and built the development version of OpenVPN with additional polarssl-1.1 support patches.  Just smoke tested, but it all looked very fine to me.

Thanks a lot!
Comment 3 Fedora Update System 2012-03-16 06:55:47 EDT
polarssl-1.1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/polarssl-1.1.1-1.fc17
Comment 4 Fedora Update System 2012-03-16 15:03:12 EDT
Package polarssl-1.1.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polarssl-1.1.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3926/polarssl-1.1.1-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-21 14:46:43 EDT
polarssl-1.1.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.